
QGIS Application - Bug report #4380

geojson data not displayed when first feature geometry is null

2011-10-14 01:34 PM - Claude Paroz

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 14312

Description

I had a data set in geojson format where the geometry of the first feature is null. Apparently, this bothers QGIS at the point where no data

can be displayed at all.

{"type": "FeatureCollection",

 "features": [

   {"geometry": null, "type": "Feature", "id": 983, "properties": {"NUMERO": 264 }},

   ...

},

History

#1 - 2011-12-09 08:39 AM - Paolo Cavallini

- Category set to Data Provider

#2 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-04-16 06:29 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#4 - 2012-09-04 11:57 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-06-28 07:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2015-12-04 07:24 AM - Médéric RIBREUX

- File test_geojson_null.geojson added

Hello, bug triage...

still the same for QGIS 2.13 master. Whenever the first feature's geometry is NULL, QGIS opens the layer as a table (with no geometric column).

This is not an OGR problem because ogrinfo is able to find the geometries. I've added a sample file to make further tests.

When the first feature has a valid geometry and the second feature has a NULL geometry, QGIS is able to detect the geometric type.
#7 - 2017-05-01 01:10 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#8 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

test_geojson_null.geojson 90.8 KB 2015-12-04 Médéric RIBREUX
